package com.xintong.visualinspection.dao.master;

import com.xintong.visualinspection.bean.User;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface UserDao  {
    public List<User> getAll();
    public User getOne(Long id);
    public void insert(User user);
    public void update(User user);
    public void delete(Long id);
    public User findByUserName(String username);
}
